package tryslim3.controller.filter;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

public class MyFilter implements Filter {

    /**
     * Constructor.
     */
    public MyFilter() {
    }

    public void init(FilterConfig config) throws ServletException {
        System.out.println(getClass().getName() + ".init()");
    }

    public void destroy() {
        System.out.println(getClass().getName() + ".destroy()");
    }

    public void doFilter(ServletRequest request, ServletResponse response,
            FilterChain chain) throws IOException, ServletException {
        System.out.println(getClass().getName() + ".doFilter()");
        // 次ではリクエストパラメータを書き換えることが出来なかったのでコメントアウト
        // String content = request.getParameter("content");
        // content = "フィルター通過しました：" + content;
        // request.setAttribute("content", content);
        chain.doFilter(request, response);
    }
}